<template>
  <div class="list">
<table class="table">
  <thead>
    <tr>
      <th scope="col">Name</th>
      <th scope="col">Last Name</th>
      <th scope="col">TypePermission</th>
      <th scope="col">Date Permission</th>
      <th scope="col">Edit</th>
      <th scope="col">Delete</th>
    </tr>
  </thead>
  <tbody v-for=" item in list" :key="item.id">
    <tr>
      <td>{{item.name}}</td>
      <td>{{item.lastName}}</td>
      <td>{{item.typePermission}}</td>
      <td>{{item.date}}</td>
      <td> <router-link class="btn btn" :to="{ name: 'edit', params: { id:item.id  }}">Edit</router-link></td>
      <td> <a @click="deleteP(item.id)" class="btn btn" >Delete</a></td>
    </tr>


  </tbody>
</table>
  </div>
</template>

<script>
import axios from 'axios';
export default {
  name: 'List',
  props: {
    msg: String
  },
  data(){
    return{
      list:[]
    }
    
  },
  created(){
this.listdata()
  },
    methods:{
    async listdata(){
       axios({
         method:'get',
         url:'https://localhost:44363/api/permisos/get-all',
       }).then(response =>{
         this.list= response.data.data
         console.log(response)
       });
     },
         async deleteP(data){
            this.$swal({
            type: "warning",
            title: "Are you sure?",
            showCancelButton: true,
            confirmButtonText: `Delete`,
          }).then((result) => {
       axios({
         method:'delete',
         url:`https://localhost:44363/api/permisos/delete-permiso/${data}`,
       }).then(response =>{
         this.list= response.data.data
       });
          })
     },

    
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
